Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# ttest_ind

scipy.stats.mstats.ttest_ind(a, b, axis=0, equal_var=True, alternative='two-sided')

  Calculates the T-test for the means of TWO INDEPENDENT samples of scores.

  Parameters:
    a, b array_like

      The arrays must have the same shape, except in the dimension corresponding to axis (the first, by default).

    axis int or None, optional

      Axis along which to compute test. If None, compute over the whole arrays, a, and b.

    equal_var bool, optional

      If True, perform a standard independent 2 sample test that assumes equal population variances. If False, perform Welch’s t-test, which does not assume equal population variance.

      Added in version 0.17.0.

    alternative{‘two-sided’, ‘less’, ‘greater’}, optional

      Defines the alternative hypothesis. The following options are available (default is ‘two-sided’):

      - ‘two-sided’: the means of the distributions underlying the samples are unequal.

      - ‘less’: the mean of the distribution underlying the first sample is less than the mean of the distribution underlying the second sample.

      - ‘greater’: the mean of the distribution underlying the first sample is greater than the mean of the distribution underlying the second sample.

      Added in version 1.7.0.

  Returns:
    statistic float or array

      The calculated t-statistic.

    pvalue float or array

      The p-value.

  Notes

  For more details on `ttest_ind`, see `scipy.stats.ttest_ind`.